framework:
    workflows:
        detalle_eximicion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Examen\DetalleEximicion
            initial_marking: Solicitada
            places:
                - Solicitada
                - Desistida
                - No Apto
            transitions:
                desistir:
                    from: [Solicitada, No Apto]
                    to:   Desistida
                solicitar:
                    from: [Desistida, No Apto]
                    to:   Solicitada
                rechazar:
                    from: [Solicitada, Desistida]
                    to:   No Apto
            